Bug 1180366 - (CVE-2020-35679) [server:mail]: CVE-2020-35679,CVE-2020-35680: opensmtpd: in certain configurations, allows remote attackers to cause a denial of service (NULL pointer dereference and daemon crash) via a crafted pattern of client activity, bec
(CVE-2020-35679)
[server:mail]: CVE-2020-35679,CVE-2020-35680: opensmtpd: in certain configura...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P5 - None : Minor
: ---
Assigned To: Alexander Evseev
Security Team bot
https://smash.suse.de/issue/274014/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-26 08:19 UTC by Marcus Meissner
Modified: 2020-12-28 20:47 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2020-12-26 08:19:34 UTC
CVE-2020-35680

smtpd/lka_filter.c in OpenSMTPD before 6.8.0p1, in certain configurations,
allows remote attackers to cause a denial of service (NULL pointer dereference
and daemon crash) via a crafted pattern of client activity, because the filter
state machine does not properly maintain the I/O channel between the SMTP engine
and the filters layer.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-35680
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-35680
https://github.com/openbsd/src/commit/6c3220444ed06b5796dedfd53a0f4becd903c0d1
https://poolp.org/posts/2020-12-24/december-2020-opensmtpd-6.8.0p1-released-fixed-several-bugs-proposed-several-diffs-book-is-on-github/
https://www.mail-archive.com/misc@opensmtpd.org/msg05188.html
Comment 1 Marcus Meissner 2020-12-26 08:20:14 UTC
CVE-2020-35679

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-35679 

smtpd/table.c in OpenSMTPD before 6.8.0p1 lacks a certain regfree, which might
allow attackers to trigger a "very significant" memory leak via messages to an
instance that performs many regex lookups.
Comment 2 Alexander Evseev 2020-12-28 20:47:02 UTC
Updated to 6.8.0p2